> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Health of saved model



## OpenAPI

````yaml POST /redteam/model/model-health
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /redteam/model/model-health:
    post:
      tags:
        - Redteam
      summary: Model Health of saved model
      operationId: model_health_saved_post
      parameters:
        - name: X-Enkrypt-Model
          in: header
          required: true
          schema:
            title: Model Name
            type: string
            description: The model saved name. E.g. Test Model
            example: Test Model
        - name: X-Enkrypt-Model-Version
          in: header
          required: true
          schema:
            title: Model Version
            type: string
            description: The model version. Default is 'v1'
            example: v1
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedteamModelHealthResponse'
components:
  schemas:
    RedteamModelHealthResponse:
      title: RedteamModelHealthResponse
      type: object
      required:
        - status
      properties:
        status:
          title: Status
          type: string
          enum:
            - healthy
            - unhealthy
        message:
          title: Message
          type: string
          example: Model health check completed successfully
        data:
          title: Data
          type: object
          properties:
            query:
              title: Query
              type: string
              example: What is the capital of India?
            response:
              title: Response
              type: string
              example: The capital of India is New Delhi.
          required:
            - query
            - response
        error:
          title: Error Message
          type: string
          example: Error while checking model health
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````